Ball Tracking Code
==================

## Installation

The first step to install this library is to install the pre-requisits. The easiest way to install these
pre-requisits is to use your OS package manager, but make sure that the versions on your OS package manager
are recent. Below I provide the links to the official mantainers of the required packages, in case you
decide to install these packages from the source (For instance, if your OS package versions are too old).

1. [OpenCV](http://opencv.org/)
2. [Boost](http://www.boost.org/)
3. [CMake](https://cmake.org/)
4. [ZMQ](http://zeromq.org/)

In a modern version of Ubuntu you might be able to get the right version of these packages using:

```
sudo apt-get install libopencv-dev libboost-dev libboost-log-dev libboost-program-options-dev \
  libboost-test-dev cmake
```

However, it is very likely that the software version is not up to date. We use OpenCV 3.2, 
Boost libraries 1.58 and CMake 3.5.1.

After the pre-requisites are installed, download the source of this library, compile and install. You need
CMake to be able to compile and install this library.

To install follow the standard procedure to compile packages with CMake, for instance, in Linux you would 
type:

```
mkdir build
cd build
cmake ..
make
make test #optional (Tests that the compiled library passes the test cases)
make install
```

To do `make install` you probably need root permisions. You can also install the library in your home
folder if you do not have root permisions, by changing the CMake installation prefix.
